Bug 1660814 - Review Request: Carla - Audio plugin host
Summary: Review Request: Carla - Audio plugin host
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/falkTX/Carla
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-19 09:59 UTC by MartinKG
Modified: 2019-01-04 08:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-03 02:26:35 UTC
anto.trande: fedora-review+


Attachments (Terms of Use)

Description MartinKG 2018-12-19 09:59:45 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/Carla.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/Carla-2.0.0-0.1.20181212git51f2073.fc29.src.rpm

Description: Audio plugin host
Fedora Account System Username: martinkg

%changelog
* Tue Dec 18 2018 Martin Gansser <martinkg@fedoraproject.org> - 2.0.0-0.1.20181212git51f2073
- Initial build

Comment 1 Antonio 2018-12-19 13:41:27 UTC
- Group tag is no longer used.

-
BuildRequires:  qt-devel
BuildRequires:  qt5-qtbase-devel

Why a mixed use of Qt version?

- 

# error: value "AudioVideo;AudioEditing;Qt;" for key "Categories" in group "Desktop Entry" contains an unregistered value "AudioEditing"
sed -i "s|AudioVideo;AudioEditing;Qt;|AudioVideo;Qt;|" data/carla*.desktop
# values extending the format should start with "X-"
sed -i "s|Categories|X-Categories|" data/carla*.desktop

Use 'desktop-file-install' command for these changes.

- 

# fix libdir path
sed -i "s|/lib/carla|/lib64/carla|" data/{carla,carla-control,carla-database,carla-jack-multi,carla-jack-single,carla-patchbay,carla-rack,carla-settings}

And on 32 bit systems?

Better:
sed -i "s|/lib/carla|/%{_lib}/carla|" data/{carla,carla-control,carla-database,carla-jack-multi,carla-jack-single,carla-patchbay,carla-rack,carla-settings}

-

#!/usr/bin/python3 --> %{__python3}

- Do

%{_libdir}/%{pname}/
%{_libdir}/lv2/
%{_libdir}/vst/

contain versioned/unversioned soname?

- 

%dir %{_datadir}/%{pname}/
%{_datadir}/%{pname}/*

become

%{_datadir}/%{pname}/

Comment 2 MartinKG 2018-12-19 14:21:40 UTC
(In reply to Antonio Trande from comment #1)

> - Do
> 
> %{_libdir}/%{pname}/
> %{_libdir}/lv2/
> %{_libdir}/vst/
> 
> contain versioned/unversioned soname?


Carla uses some private libs which it builds as unversioned .so files, how do we handle this ?

/usr/lib64/carla/carla-bridge-lv2.so
/usr/lib64/carla/jack/libjack.so.0
/usr/lib64/carla/libcarla_interposer-jack-x11.so
/usr/lib64/carla/libcarla_interposer-safe.so
/usr/lib64/carla/libcarla_interposer-x11.so
/usr/lib64/carla/libcarla_native-plugin.so
/usr/lib64/carla/libcarla_standalone2.so
/usr/lib64/carla/libcarla_utils.so
/usr/lib64/carla/styles/carlastyle.json
/usr/lib64/carla/styles/carlastyle.so
/usr/lib64/lv2/carla.lv2/carla-bridge-lv2.so
/usr/lib64/lv2/carla.lv2/carla.so
/usr/lib64/lv2/carla.lv2/libcarla_interposer-jack-x11.so
/usr/lib64/lv2/carla.lv2/libcarla_interposer-safe.so
/usr/lib64/lv2/carla.lv2/libcarla_interposer-x11.so
/usr/lib64/lv2/carla.lv2/libcarla_native-plugin.so
/usr/lib64/lv2/carla.lv2/libcarla_utils.so
/usr/lib64/lv2/carla.lv2/resources
/usr/lib64/vst/carla.vst/CarlaPatchbay.so
/usr/lib64/vst/carla.vst/CarlaPatchbay16.so
/usr/lib64/vst/carla.vst/CarlaPatchbay32.so
/usr/lib64/vst/carla.vst/CarlaPatchbayFX.so
/usr/lib64/vst/carla.vst/CarlaRack.so
/usr/lib64/vst/carla.vst/CarlaRackFX.so
/usr/lib64/vst/carla.vst/carla-bridge-lv2.so
/usr/lib64/vst/carla.vst/libcarla_interposer-jack-x11.so
/usr/lib64/vst/carla.vst/libcarla_interposer-safe.so
/usr/lib64/vst/carla.vst/libcarla_interposer-x11.so
/usr/lib64/vst/carla.vst/libcarla_native-plugin.so
/usr/lib64/vst/carla.vst/libcarla_utils.so

Comment 3 MartinKG 2018-12-19 17:11:19 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/Carla.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/Carla-2.0.0-0.2.20181212git51f2073.fc29.src.rpm

%changelog
* Tue Dec 18 2018 Martin Gansser <martinkg@fedoraproject.org> - 2.0.0-0.2.20181212git51f2073
- Add subpkg vst
- Remove group tag
- Remove old BR qt-devel
- New git releas use correct desktop files
- Use macro %%{_lib} libdir fix
- Use %%{__python3} macro
- Use %%{_datadir}/%%{pname}/

Comment 4 Antonio 2018-12-19 21:57:24 UTC
- 

%dir %{_libdir}/vst
%dir %{_libdir}/vst/carla.vst
%{_libdir}/vst/carla.vst/*

becomes

%{_libdir}/vst/

- Some files are unstripped:

Carla.x86_64: W: unstripped-binary-or-object /usr/lib64/carla/libcarla_interposer-jack-x11.so
Carla.x86_64: W: unstripped-binary-or-object /usr/lib64/carla/libcarla_interposer-safe.so
Carla.x86_64: W: unstripped-binary-or-object /usr/lib64/carla/libcarla_interposer-x11.so
Carla.x86_64: W: unstripped-binary-or-object /usr/lib64/carla/libcarla_native-plugin.so
Carla.x86_64: W: unstripped-binary-or-object /usr/lib64/carla/libcarla_standalone2.so
Carla.x86_64: W: unstripped-binary-or-object /usr/lib64/carla/libcarla_utils.so
Carla.x86_64: W: unstripped-binary-or-object /usr/lib64/carla/styles/carlastyle.so
Carla.x86_64: W: unstripped-binary-or-object /usr/lib64/lv2/carla.lv2/carla.so

Carla-vst.x86_64: W: unstripped-binary-or-object /usr/lib64/vst/carla.vst/CarlaPatchbay.so
Carla-vst.x86_64: W: unstripped-binary-or-object /usr/lib64/vst/carla.vst/CarlaPatchbay16.so
Carla-vst.x86_64: W: unstripped-binary-or-object /usr/lib64/vst/carla.vst/CarlaPatchbay32.so
Carla-vst.x86_64: W: unstripped-binary-or-object /usr/lib64/vst/carla.vst/CarlaPatchbayFX.so
Carla-vst.x86_64: W: unstripped-binary-or-object /usr/lib64/vst/carla.vst/CarlaRack.so
Carla-vst.x86_64: W: unstripped-binary-or-object /usr/lib64/vst/carla.vst/CarlaRackFX.so

Be sure that are installed with the right permissions (755).

- Make's output is not verbose; try to use

%make_build V=1

Comment 5 MartinKG 2018-12-20 06:50:48 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/Carla.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/Carla-2.0.0-0.3.20181212git51f2073.fc29.src.rpm

%changelog
* Thu Dec 20 2018 Martin Gansser <martinkg@fedoraproject.org> - 2.0.0-0.3.20181212git51f2073
- Use correct directory in subpgk vst
- Make build verbose V=1
- Fix debug symbols extraction / stripping

Comment 6 Antonio 2018-12-20 18:52:27 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

== Issues==

- As i said before, to own all files and directories inside a "directory" is sufficient using this form

%{_libdir}/directory/

so for the 'vst' sub-package is

%{_libdir}/vst/

- I have just seen that '%{_libdir}/lv2' is a directory owned by the 'lv2-*' packages. In this case, '%{_libdir}/lv2' can be co-owned in this way:

%dir %{_libdir}/lv2
%{_libdir}/lv2/carla.lv2/

Following the name used for packaging the "lv2" files, i suggest you to create a "lv2-carla" sub-package.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "zlib/libpng license", "GPL (v2 or later)", "GNU Lesser General
     Public License", "Unknown or generated", "GNU Lesser General Public
     License (v2 or later)", "GNU Lesser General Public License (v2.1 or
     later)", "ISC License", "*No copyright* Public domain", "BSL (v1.0)",
     "Expat License", "*No copyright* GNU Lesser General Public License
     (v2.1 or later)", "*No copyright* GPL (v2 or later)", "GPL (v2)", "BSD
     2-clause "Simplified" License", "*No copyright* BSD 3-clause "New" or
     "Revised" License", "*No copyright* GPL (v2)". 771 files have unknown
     license. Detailed output of licensecheck in
     /home/sagitter/FedoraReview/1660814-Carla/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/vst
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/vst
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib64/lv2(lv2)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in Carla-
     debuginfo , Carla-debugsource
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 6481920 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: Carla-2.0.0-0.3.20181212git51f2073.fc30.x86_64.rpm
          Carla-devel-2.0.0-0.3.20181212git51f2073.fc30.x86_64.rpm
          Carla-vst-2.0.0-0.3.20181212git51f2073.fc30.x86_64.rpm
          Carla-debuginfo-2.0.0-0.3.20181212git51f2073.fc30.x86_64.rpm
          Carla-debugsource-2.0.0-0.3.20181212git51f2073.fc30.x86_64.rpm
          Carla-2.0.0-0.3.20181212git51f2073.fc30.src.rpm
Carla.x86_64: W: no-manual-page-for-binary carla
Carla.x86_64: W: no-manual-page-for-binary carla-control
Carla.x86_64: W: no-manual-page-for-binary carla-database
Carla.x86_64: W: no-manual-page-for-binary carla-jack-multi
Carla.x86_64: W: no-manual-page-for-binary carla-jack-single
Carla.x86_64: W: no-manual-page-for-binary carla-patchbay
Carla.x86_64: W: no-manual-page-for-binary carla-rack
Carla.x86_64: W: no-manual-page-for-binary carla-settings
Carla.x86_64: W: no-manual-page-for-binary carla-single
Carla-devel.x86_64: W: no-documentation
Carla-vst.x86_64: W: spelling-error %description -l en_US contanis -> contains, contestant, constants
Carla-vst.x86_64: W: no-documentation
Carla-vst.x86_64: W: dangling-relative-symlink /usr/lib64/vst/carla.vst/carla-bridge-lv2-gtk2 ../../carla/carla-bridge-lv2-gtk2
Carla-vst.x86_64: W: dangling-relative-symlink /usr/lib64/vst/carla.vst/carla-bridge-lv2-gtk3 ../../carla/carla-bridge-lv2-gtk3
Carla-vst.x86_64: W: dangling-relative-symlink /usr/lib64/vst/carla.vst/carla-bridge-lv2-qt5 ../../carla/carla-bridge-lv2-qt5
Carla-vst.x86_64: W: dangling-relative-symlink /usr/lib64/vst/carla.vst/carla-bridge-lv2-x11 ../../carla/carla-bridge-lv2-x11
Carla-vst.x86_64: W: dangling-relative-symlink /usr/lib64/vst/carla.vst/carla-bridge-lv2.so ../../carla/carla-bridge-lv2.so
Carla-vst.x86_64: W: dangling-relative-symlink /usr/lib64/vst/carla.vst/carla-bridge-native ../../carla/carla-bridge-native
Carla-vst.x86_64: W: dangling-relative-symlink /usr/lib64/vst/carla.vst/carla-discovery-native ../../carla/carla-discovery-native
Carla-vst.x86_64: W: dangling-relative-symlink /usr/lib64/vst/carla.vst/jack ../../carla/jack
Carla-vst.x86_64: W: dangling-relative-symlink /usr/lib64/vst/carla.vst/resources ../../../share/carla/resources
Carla-vst.x86_64: W: dangling-relative-symlink /usr/lib64/vst/carla.vst/styles ../../carla/styles
6 packages and 0 specfiles checked; 0 errors, 22 warnings.




Rpmlint (debuginfo)
-------------------
Checking: Carla-vst-debuginfo-2.0.0-0.3.20181212git51f2073.fc30.x86_64.rpm
          Carla-debuginfo-2.0.0-0.3.20181212git51f2073.fc30.x86_64.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
Carla-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    Carla(x86-64)

Carla (rpmlib, GLIBC filtered):
    /usr/bin/python3
    /usr/bin/sh
    hicolor-icon-theme
    ld-linux-x86-64.so.2()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libX11.so.6()(64bit)
    libasound.so.2()(64bit)
    libasound.so.2(ALSA_0.9)(64bit)
    libasound.so.2(ALSA_0.9.0rc4)(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libfluidsynth.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgdk-3.so.0()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    liblo.so.7()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpulse-simple.so.0()(64bit)
    libpulse-simple.so.0(PULSE_0)(64bit)
    libpulse.so.0()(64bit)
    libpulse.so.0(PULSE_0)(64bit)
    librt.so.1()(64bit)
    libsndfile.so.1()(64bit)
    libsndfile.so.1(libsndfile.so.1.0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    python3-qt5
    rtld(GNU_HASH)
    shared-mime-info

Carla-debuginfo (rpmlib, GLIBC filtered):

Carla-vst (rpmlib, GLIBC filtered):
    Carla(x86-64)
    ld-linux-x86-64.so.2()(64bit)
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libfluidsynth.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    liblo.so.7()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libsndfile.so.1()(64bit)
    libsndfile.so.1(libsndfile.so.1.0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    rtld(GNU_HASH)

Carla-debugsource (rpmlib, GLIBC filtered):



Provides
--------
Carla-devel:
    Carla-devel
    Carla-devel(x86-64)
    pkgconfig(carla-native-plugin)
    pkgconfig(carla-standalone)
    pkgconfig(carla-utils)

Carla:
    Carla
    Carla(x86-64)
    application()
    application(carla-control.desktop)
    application(carla.desktop)
    libcarla_interposer-jack-x11.so()(64bit)
    libcarla_interposer-safe.so()(64bit)
    libcarla_interposer-x11.so()(64bit)
    libcarla_native-plugin.so()(64bit)
    libcarla_standalone2.so()(64bit)
    libcarla_utils.so()(64bit)
    libjack.so.0()(64bit)
    mimehandler(application/x-carla-project)

Carla-debuginfo:
    Carla-debuginfo
    Carla-debuginfo(x86-64)
    debuginfo(build-id)

Carla-vst:
    Carla-vst
    Carla-vst(x86-64)

Carla-debugsource:
    Carla-debugsource
    Carla-debugsource(x86-64)



Unversioned so-files
--------------------
Carla: /usr/lib64/carla/carla-bridge-lv2.so
Carla: /usr/lib64/carla/libcarla_interposer-jack-x11.so
Carla: /usr/lib64/carla/libcarla_interposer-safe.so
Carla: /usr/lib64/carla/libcarla_interposer-x11.so
Carla: /usr/lib64/carla/libcarla_native-plugin.so
Carla: /usr/lib64/carla/libcarla_standalone2.so
Carla: /usr/lib64/carla/libcarla_utils.so
Carla: /usr/lib64/carla/styles/carlastyle.so
Carla: /usr/lib64/lv2/carla.lv2/carla-bridge-lv2.so
Carla: /usr/lib64/lv2/carla.lv2/carla.so
Carla: /usr/lib64/lv2/carla.lv2/libcarla_interposer-jack-x11.so
Carla: /usr/lib64/lv2/carla.lv2/libcarla_interposer-safe.so
Carla: /usr/lib64/lv2/carla.lv2/libcarla_interposer-x11.so
Carla: /usr/lib64/lv2/carla.lv2/libcarla_native-plugin.so
Carla: /usr/lib64/lv2/carla.lv2/libcarla_utils.so
Carla-vst: /usr/lib64/vst/carla.vst/CarlaPatchbay.so
Carla-vst: /usr/lib64/vst/carla.vst/CarlaPatchbay16.so
Carla-vst: /usr/lib64/vst/carla.vst/CarlaPatchbay32.so
Carla-vst: /usr/lib64/vst/carla.vst/CarlaPatchbayFX.so
Carla-vst: /usr/lib64/vst/carla.vst/CarlaRack.so
Carla-vst: /usr/lib64/vst/carla.vst/CarlaRackFX.so
Carla-vst: /usr/lib64/vst/carla.vst/carla-bridge-lv2.so
Carla-vst: /usr/lib64/vst/carla.vst/libcarla_interposer-jack-x11.so
Carla-vst: /usr/lib64/vst/carla.vst/libcarla_interposer-safe.so
Carla-vst: /usr/lib64/vst/carla.vst/libcarla_interposer-x11.so
Carla-vst: /usr/lib64/vst/carla.vst/libcarla_native-plugin.so
Carla-vst: /usr/lib64/vst/carla.vst/libcarla_utils.so

Source checksums
----------------
https://github.com/falkTX/Carla/archive/51f20736b4e0b5d6416f2b7d4051f155f5858fbf/Carla-51f2073.tar.gz :
  CHECKSUM(SHA256) this package     : e5b4ebd2a964dda46f3400ad3468eb0b8154a5de59088c5009491f76f69bb319
  CHECKSUM(SHA256) upstream package : e5b4ebd2a964dda46f3400ad3468eb0b8154a5de59088c5009491f76f69bb319


Generated by fedora-review 0.6.1 (0d22628) last change: 2018-09-16
Command line :./try-fedora-review -m fedora-rawhide-x86_64 -b 1660814
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, BATCH, DISTTAG, EPEL5, EPEL7, EPEL6

Comment 7 MartinKG 2018-12-20 20:04:33 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/Carla.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/Carla-2.0.0-0.4.20181212git51f2073.fc29.src.rpm

%changelog
* Thu Dec 20 2018 Martin Gansser <martinkg@fedoraproject.org> - 2.0.0-0.4.20181212git51f2073
- Add lv2 subpkg
- Take ownership of lv2/

Comment 8 Antonio 2018-12-20 20:08:34 UTC
'lv2-carla', not 'carla-lv2'.

Comment 9 MartinKG 2018-12-20 21:34:49 UTC
This time, I transfer the data without bumping up the version.

Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/Carla.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/Carla-2.0.0-0.4.20181212git51f2073.fc29.src.rpm

%changelog
* Thu Dec 20 2018 Martin Gansser <martinkg@fedoraproject.org> - 2.0.0-0.4.20181212git51f2073
- Add lv2-carla subpkg
- Take ownership of lv2/

Comment 10 Antonio 2018-12-20 21:36:08 UTC
Package approved.

Comment 11 MartinKG 2018-12-20 22:16:42 UTC
Many thanks for the review.

Comment 12 Gwyn Ciesla 2018-12-20 22:31:30 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/Carla

Comment 13 Fedora Update System 2018-12-21 22:08:04 UTC
Carla-2.0.0-0.4.20181212git51f2073.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e078d9ca26

Comment 14 Fedora Update System 2018-12-21 22:09:34 UTC
Carla-2.0.0-0.4.20181212git51f2073.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9ddb6d5be6

Comment 15 Fedora Update System 2018-12-22 01:33:35 UTC
Carla-2.0.0-0.4.20181212git51f2073.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e078d9ca26

Comment 16 Fedora Update System 2018-12-22 02:58:23 UTC
Carla-2.0.0-0.4.20181212git51f2073.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9ddb6d5be6

Comment 17 Fedora Update System 2018-12-25 12:57:09 UTC
Carla-2.0.0-0.5.20181225git2f3a442.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0be2c533bd

Comment 18 Fedora Update System 2018-12-25 12:57:12 UTC
Carla-2.0.0-0.5.20181225git2f3a442.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bf9e355897

Comment 19 Fedora Update System 2018-12-26 01:34:23 UTC
Carla-2.0.0-0.5.20181225git2f3a442.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bf9e355897

Comment 20 Fedora Update System 2018-12-26 03:58:01 UTC
Carla-2.0.0-0.5.20181225git2f3a442.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0be2c533bd

Comment 21 Fedora Update System 2019-01-03 02:26:35 UTC
Carla-2.0.0-0.5.20181225git2f3a442.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2019-01-03 05:29:24 UTC
Carla-2.0.0-0.5.20181225git2f3a442.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Rokieba 2019-01-04 08:10:49 UTC
there is a problem with the new version
Error: Transaction check error:
  file /usr/bin/carla conflicts between attempted installs of Carla-2.0.0-0.5.20181225git2f3a442.fc29.i686 and Carla-2.0.0-0.5.20181225git2f3a442.fc29.x86_64
  file /usr/bin/carla-control conflicts between attempted installs of Carla-2.0.0-0.5.20181225git2f3a442.fc29.i686 and Carla-2.0.0-0.5.20181225git2f3a442.fc29.x86_64
  file /usr/bin/carla-database conflicts between attempted installs of Carla-2.0.0-0.5.20181225git2f3a442.fc29.i686 and Carla-2.0.0-0.5.20181225git2f3a442.fc29.x86_64
  file /usr/bin/carla-jack-multi conflicts between attempted installs of Carla-2.0.0-0.5.20181225git2f3a442.fc29.i686 and Carla-2.0.0-0.5.20181225git2f3a442.fc29.x86_64
  file /usr/bin/carla-jack-single conflicts between attempted installs of Carla-2.0.0-0.5.20181225git2f3a442.fc29.i686 and Carla-2.0.0-0.5.20181225git2f3a442.fc29.x86_64
  file /usr/bin/carla-patchbay conflicts between attempted installs of Carla-2.0.0-0.5.20181225git2f3a442.fc29.i686 and Carla-2.0.0-0.5.20181225git2f3a442.fc29.x86_64
  file /usr/bin/carla-rack conflicts between attempted installs of Carla-2.0.0-0.5.20181225git2f3a442.fc29.i686 and Carla-2.0.0-0.5.20181225git2f3a442.fc29.x86_64
  file /usr/bin/carla-settings conflicts between attempted installs of Carla-2.0.0-0.5.20181225git2f3a442.fc29.i686 and Carla-2.0.0-0.5.20181225git2f3a442.fc29.x86_64
  file /usr/share/carla/carla_shared.py conflicts between attempted installs of Carla-2.0.0-0.5.20181225git2f3a442.fc29.i686 and Carla-2.0.0-0.5.20181225git2f3a442.fc29.x86_64
  file /usr/share/carla/resources_rc.py conflicts between attempted installs of Carla-2.0.0-0.5.20181225git2f3a442.fc29.i686 and Carla-2.0.0-0.5.20181225git2f3a442.fc29.x86_64

Comment 24 MartinKG 2019-01-04 08:33:23 UTC
(In reply to Rokieba from comment #23)
> there is a problem with the new version
> Error: Transaction check error:
>   file /usr/bin/carla conflicts between attempted installs of
> Carla-2.0.0-0.5.20181225git2f3a442.fc29.i686 and
> Carla-2.0.0-0.5.20181225git2f3a442.fc29.x86_64
>   file /usr/bin/carla-control conflicts between attempted installs of
> Carla-2.0.0-0.5.20181225git2f3a442.fc29.i686 and
....

how can i reproduce this error ?


Note You need to log in before you can comment on or make changes to this bug.